# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_Expression Class Reference

`#include <PDataStd_Expression.hxx>`

Inheritance diagram for PDataStd_Expression:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_Expression ()
Standard_EXPORT | PDataStd_Expression (const Handle(PCollection_HExtendedString)&name)
Standard_EXPORT Handle_PCollection_HExtendedString | GetName () const
Standard_EXPORT void | SetName (const Handle(PCollection_HExtendedString)&name)
Standard_EXPORT Handle_PDF_HAttributeArray1 | GetVariables () const
Standard_EXPORT void | SetVariables (const Handle(PDF_HAttributeArray1)&vars)
| PDataStd_Expression (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HExtendedString) _CSFDB_GetPDataStd_ExpressionmyName() const
void | _CSFDB_SetPDataStd_ExpressionmyName (const Handle(PCollection_HExtendedString)&p)
| Handle (PDF_HAttributeArray1) _CSFDB_GetPDataStd_ExpressionmyVariables() const
void | _CSFDB_SetPDataStd_ExpressionmyVariables (const Handle(PDF_HAttributeArray1)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PCollection_HExtendedString | myName
Handle_PDF_HAttributeArray1 | myVariables

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_Expression::PDataStd_Expression | ( |  | ) |

Standard_EXPORT PDataStd_Expression::PDataStd_Expression | ( | const Handle(PCollection_HExtendedString)& | name | ) |

PDataStd_Expression::PDataStd_Expression | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_Expression::_CSFDB_SetPDataStd_ExpressionmyName | ( | const Handle(PCollection_HExtendedString)& | p | ) | `[inline]`

void PDataStd_Expression::_CSFDB_SetPDataStd_ExpressionmyVariables | ( | const Handle(PDF_HAttributeArray1)& | p | ) | `[inline]`

Standard_EXPORT Handle_PCollection_HExtendedString PDataStd_Expression::GetName | ( |  | ) | const

Standard_EXPORT Handle_PDF_HAttributeArray1 PDataStd_Expression::GetVariables | ( |  | ) | const

Standard_EXPORT const PDataStd_Expression::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_Expression::Handle | ( | PDF_HAttributeArray1 |  | ) | const`[inline]`

PDataStd_Expression::Handle | ( | PCollection_HExtendedString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_Expression::SetName | ( | const Handle(PCollection_HExtendedString)& | name | ) |

Standard_EXPORT void PDataStd_Expression::SetVariables | ( | const Handle(PDF_HAttributeArray1)& | vars | ) |

## Field Documentation

Handle_PCollection_HExtendedString PDataStd_Expression::myName `[private]`

Handle_PDF_HAttributeArray1 PDataStd_Expression::myVariables `[private]`

The documentation for this class was generated from the following file:

- PDataStd_Expression.hxx